rte_crypto_eddsa_op_param(3)

NAME
rte_crypto_eddsa_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_op_type op_type
rte_crypto_param message
rte_crypto_param context
enum rte_crypto_edward_instance instance
rte_crypto_uint sign

Detailed Description

EdDSA operation params

Definition at line 635 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_op_type op_type
Signature generation or verification

Definition at line 636 of file rte_crypto_asym.h.

  rte_crypto_param message
Input message digest to be signed or verified

Definition at line 639 of file rte_crypto_asym.h.

  rte_crypto_param context
Context value for the sign op. Must not be empty for Ed25519ctx instance.

Definition at line 642 of file rte_crypto_asym.h.

  enum rte_crypto_edward_instance instance
Type of Edwards curve.

Definition at line 647 of file rte_crypto_asym.h.

  rte_crypto_uint sign
Edward curve signature output : for signature generation input : for signature verification

Definition at line 650 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.